Errors Installing php5-devel

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Errors Installing php5-devel

Abram Gillespie
Hi All,

Was hoping someone could help.  I'm getting an error while trying to install php5-devel.

command:
sudo port install php5-devel +apache2 +fastcgi

error:
Error: Target org.macports.destroot returned: xinstall: Cannot stat: /opt/local/var/macports/sources/rsync.macports.org/release/ports/www/php5-devel/files/mod_php.conf, No such file or directory
Error: Status 1 encountered during processing.

Any help would be greatly appreciated.  Thanks!
-Abe

_______________________________________________
macports-users mailing list
[hidden email]
http://lists.macosforge.org/mailman/listinfo/macports-users
Reply | Threaded
Open this post in threaded view
|

Re: Errors Installing php5-devel

Wahlstedt Jyrki

On 17.9.2007, at 10.19, Abram Gillespie wrote:

> Hi All,
>
> Was hoping someone could help.  I'm getting an error while trying  
> to install php5-devel.
>
> command:
> sudo port install php5-devel +apache2 +fastcgi
>
> error:
> Error: Target org.macports.destroot returned: xinstall: Cannot  
> stat: /opt/local/var/macports/sources/rsync.macports.org/release/
> ports/www/php5-devel/files/mod_php.conf, No such file or directory
> Error: Status 1 encountered during processing.
>
> Any help would be greatly appreciated.  Thanks!
> -Abe
>
Hi,
you should actually install php5, it's 5.2.4 release version, while  
php5-devel is currently its last release candidate (5.2.4RC3)  
(something newer, when there are new rc's, with this file added,  
sorry for that).

!
! Jyrki Wahlstedt
! http://www.wahlstedt.fi/jyrki/
!
! Our life is no dream; but it ought to become one and perhaps will.
! PGP key ID: 0x139CC386 fingerprint: F355 B46F 026C B8C1 89C0  A780  
6366 EFD9 139C C386



_______________________________________________
macports-users mailing list
[hidden email]
http://lists.macosforge.org/mailman/listinfo/macports-users
Reply | Threaded
Open this post in threaded view
|

Re: Errors Installing php5-devel

Abram Gillespie
OK, I see, n00b ignorance on my part.  I'm use to installing "dev" packages under Debian systems so that I can build other software from source.  What's the equivalent under MacPorts?

Thanks a bunch.
-Abe

On 9/17/07, Jyrki Wahlstedt <[hidden email]> wrote:

On 17.9.2007, at 10.19, Abram Gillespie wrote:

> Hi All,
>
> Was hoping someone could help.  I'm getting an error while trying
> to install php5-devel.
>
> command:
> sudo port install php5-devel +apache2 +fastcgi
>
> error:
> Error: Target org.macports.destroot returned: xinstall: Cannot
> stat: /opt/local/var/macports/sources/rsync.macports.org/release/
> ports/www/php5-devel/files/mod_php.conf, No such file or directory
> Error: Status 1 encountered during processing.
>
> Any help would be greatly appreciated.  Thanks!
> -Abe
>
Hi,
you should actually install php5, it's 5.2.4 release version, while
php5-devel is currently its last release candidate (5.2.4RC3)
(something newer, when there are new rc's, with this file added,
sorry for that).

!
! Jyrki Wahlstedt
!       http://www.wahlstedt.fi/jyrki/
!
! Our life is no dream; but it ought to become one and perhaps will.
! PGP key ID: 0x139CC386 fingerprint: F355 B46F 026C B8C1 89C0  A780
6366 EFD9 139C C386





_______________________________________________
macports-users mailing list
[hidden email]
http://lists.macosforge.org/mailman/listinfo/macports-users
Reply | Threaded
Open this post in threaded view
|

Re: Errors Installing php5-devel

Abram Gillespie
Ah, I see, the necessary headers get installed with the release package.  Very good!

On 9/17/07, Abram Gillespie <[hidden email]> wrote:
OK, I see, n00b ignorance on my part.  I'm use to installing "dev" packages under Debian systems so that I can build other software from source.  What's the equivalent under MacPorts?

Thanks a bunch.
-Abe


On 9/17/07, Jyrki Wahlstedt <[hidden email]> wrote:

On 17.9.2007, at 10.19, Abram Gillespie wrote:

> Hi All,
>
> Was hoping someone could help.  I'm getting an error while trying
> to install php5-devel.
>
> command:
> sudo port install php5-devel +apache2 +fastcgi
>
> error:
> Error: Target org.macports.destroot returned: xinstall: Cannot
> stat: /opt/local/var/macports/sources/rsync.macports.org/release/
> ports/www/php5-devel/files/mod_php.conf, No such file or directory
> Error: Status 1 encountered during processing.
>
> Any help would be greatly appreciated.  Thanks!
> -Abe
>
Hi,
you should actually install php5, it's 5.2.4 release version, while
php5-devel is currently its last release candidate (5.2.4RC3)
(something newer, when there are new rc's, with this file added,
sorry for that).

!
! Jyrki Wahlstedt
!       <a href="http://www.wahlstedt.fi/jyrki/" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)"> http://www.wahlstedt.fi/jyrki/
!
! Our life is no dream; but it ought to become one and perhaps will.
! PGP key ID: 0x139CC386 fingerprint: F355 B46F 026C B8C1 89C0  A780
6366 EFD9 139C C386






_______________________________________________
macports-users mailing list
[hidden email]
http://lists.macosforge.org/mailman/listinfo/macports-users